## gps-data-logger 0.1-3

=== debian/changelog ===
gps-data-logger (0.1-3) unstable; urgency=low

  * Added hildon-fm-2 to the build-deps to make the autobuilder happy

 -- Marcell Lengyel <marcell@maemo.org>  Sat, 19 Sep 2009 22:00:00 +0300

gps-data-logger (0.1-2) unstable; urgency=low

  * Changed build-deps and Makefile a bit to make the autobuilder happy

 -- Marcell Lengyel <marcell@maemo.org>  Sat, 19 Sep 2009 21:40:21 +0300

gps-data-logger (0.1-1) unstable; urgency=low

  * Initial release

 -- Marcell Lengyel <marcell@maemo.org>  Sat, 19 Sep 2009 19:30:21 +0300

## gps-data-logger 0.2-3

=== Makefile ===
DESTDIR=/
CC=gcc

all: gps-data-logger-widget.so

ICON_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=prefix`/share/icons/hicolor
DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=desktopentrydir`
HOME_LIB_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=hildondesktoplibdir`
HOME_DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=homedesktopentrydir`

install:
	mkdir -p $(HOME_LIB_DIR)
	mkdir -p $(HOME_DESKTOP_DIR)
	cp gps-data-logger-widget.so $(HOME_LIB_DIR)
	cp gps-data-logger-widget.desktop $(HOME_DESKTOP_DIR)

gps-data-logger-widget.so: %.so: %.c settings.c
	$(CC) -Wall `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation` `pkg-config --libs libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation` settings.o -o $@ $<
	    
# This rule uses GNU make implicit rules, so
# examples can be built eg make example_hildonprogram
# http://www.gnu.org/software/make/manual/make.html#Implicit-Rules
#$(EXAMPLES): %: %.c

clean:
	-rm -f *.o *.so

## gps-data-logger 0.2-2

=== debian/changelog ===
gps-data-logger (0.2-2) unstable; urgency=low

  * Reset last known location before start/continue after pause

 -- Marcell Lengyel <marcell@maemo.org>  Sat, 25 Sep 2009 10:25:00 +0300

gps-data-logger (0.2-1) unstable; urgency=low

  * Reworked the whole UI, made it transparent

 -- Marcell Lengyel <marcell@maemo.org>  Sat, 22 Sep 2009 16:47:00 +0300

=== debian/control ===
Source: gps-data-logger
Section: user/desktop
Priority: extra
Maintainer: Marcell Lengyel <marcell@maemo.org>
Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: gps-data-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A GPS tracklog saver desktop widget
 A widget for the hildon desktop that can be used to
 collect and save a GPS tracklog to a file for later
 use (eg. photo geotagging, visualizing a trip on a 
 map, etc)

## gps-data-logger 0.2-3

=== debian/changelog ===
gps-data-logger (0.2-3) unstable; urgency=low

  * Force an autobuilder rebuild with the Fremantle final SDK

 -- Marcell Lengyel <marcell@maemo.org>  Thu, 08 Oct 2009 08:25:00 +0300

## gps-data-logger 0.2-4

=== debian/changelog ===
gps-data-logger (0.2-4) unstable; urgency=low

  * use libhildondesktop-1 pkg-config file for installation paths

 -- Marcell Lengyel <marcell@maemo.org>  Thu, 08 Oct 2009 13:00:00 +0300

## gps-data-logger 0.2-5

=== debian/changelog ===
gps-data-logger (0.2-5) unstable; urgency=low

  * changed button push handling

 -- Marcell Lengyel <marcell@maemo.org>  Wed, 02 Dec 2009 15:58:00 +0300

## gps-data-logger 0.2-6

=== debian/changelog ===
gps-data-logger (0.2-6) unstable; urgency=low

  * fix to make it work on both old and new firmwares
  * debug logging can be enabled at compile time

 -- Marcell Lengyel <marcell@maemo.org>  Thu, 17 Dec 2009 14:58:00 +0300

## gps-data-logger 0.2-7

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,8 @@
 all: gps-data-logger-widget.so
 
 ICON_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=prefix`/share/icons/hicolor
-DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=desktopentrydir`
-HOME_LIB_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=hildondesktoplibdir`
-HOME_DESKTOP_DIR=$(DESTDIR)`pkg-config osso-af-settings --variable=homedesktopentrydir`
+HOME_LIB_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`
+HOME_DESKTOP_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir`
 
 install:
 	mkdir -p $(HOME_LIB_DIR)

=== debian/changelog ===
gps-data-logger (0.2-7) unstable; urgency=low

  * added some delay in hopes that it will fix getting stuck in start logging
    state

 -- Marcell Lengyel <marcell@maemo.org>  Fri, 18 Dec 2009 09:42:00 +0300

=== debian/control ===
--- 
+++ 
@@ -13,3 +13,43 @@
  collect and save a GPS tracklog to a file for later
  use (eg. photo geotagging, visualizing a trip on a 
  map, etc)
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAACR0RVh0Q29tbWVudABpY29uIGJ5
+ IGFjdGl2aXR5d29ya3Nob3AubmV0hLu7aAAABk1JREFUaN7NmV1oFFcUx38z
+ 2Y8aqhJqWUNWqfiySsT6oOYlsA8WTWADoigaCIgxPqVBWsxqQtNCo6VpYnZZ
+ waCR+mAgj7rFgqB9E3ySiGIasGi0qNSYdRvdzM7dO30wM+7qzn5l0+TAhZk7
+ c++c/z3/83HvKHwsldeuXRtdv379Dl3XkyyMKBUVFeq5c+dOh0Kh3nJPvk0I
+ YSx0SyQShhDCaGtr+2E+yjqyWWCBVh3DMBBCIKUklUrx+vVr+vv7v0ulUsbw
+ 8PD3pcypsggipURKia7rTE9P09vb29Pc3HxyyQOQUlqWkFKiaRpVVVXMzMxw
+ +vTp3qampo4lbwETBIAQgmXLllFdXU0ymeTs2bODgUCgfUkAcDgcVrMDkkwm
+ MQwDt9tNdXU1mqYRiUTCjY2NXy8JCxhzzQ5IMvk+SpsgdF0nHA6HGhoaOpYM
+ hUwgbrc7oz+VSmXcmyAAwuHw4K5du9qXBABlrum6jqq+/6Su6xk+YYKoqanB
+ 7XYTiUTCO3fu/HrRAJiKCyEQQqAoCqqqoigKLpcLIQSTk5PEYjFisRjxeJyZ
+ mRk0TcPpdJJIJBgYGAjt2LGjI9c3PhS/EOKPcjixECJrMksmk0gpicViPH78
+ +P1qplnHBGoYBhUVFbS2th4aGxv7tZBMvOCiqipSSpYvX87GjRstKplZWtd1
+ DMN4t8Jz1tq6devhsbGx34CXi5oHFEWxolL6iqc/dzqdKIqCorwjSFVVFStX
+ rlyWrcxZFAuYIKSUlpJSSssy2ehkQ/fFAZBODdNP0gs9GwAUDcDkYTHy2Y/v
+ plzRY2AYoiBnN1fedFoppZX4pJQ4nc7SAJSi/FS3KMmpzZatXjIttuB5YKpb
+ WBYoNTqpqppRR9nVUgsWheYLwq5y/V8zcblApAOw80dHoROkF2KapuX9+D8n
+ k3z2o8u6LnXXVsqeOGdVCaDMgckHxFT881OuokBkU74kC5QDSLHKZ6ufykKh
+ fEASicS8nLEY2pQtD5iR2U55z0+f8CI4Wxbl7Z45cmVhu0Gm4m/evLGdvPrn
+ Sp4df0shCyqlzJv1iwZQiOJ2YipfiHy4rSzHyZwt4nyKFxNl0i2cq1jLB7Qo
+ J87nYDW/fArA39/O2FInGzULcdyio1A2XtpN4u1fDsDTb/6de688EWbePiCE
+ yGneDxXP9rH5KF2WRJattP0iVAXAo47puf7s4wrh9rwPD4qJy6bif7VPzb0z
+ /2qyUCnJidPl5cuXwBRLTXJaIF+MllIyMjLC6OgoDx48IJFIsGrVKrZt20ZL
+ Swv19fXvMrLHk7FpWb16NYFAgGAwSFdXF4qiMDAw8NH8x44dQ1EULl26VJ5E
+ 9qGDHzp0CEVR6O7upra2FpfLxfPnz7l9+zb9/f0WAIAXL15YVJiYmKCnp4fO
+ zk76+voIBAKMjIxw8OBB6/3Lly9z//59otFozqogZymRK70PDw/jcDi4ePFi
+ ZmTyevF6vezZsydjvHmtqio+n49IJEJdXR3hcJgLFy7Q1NREbW0tmzZt4u7d
+ u/T19RGNRnG5XDlLDTXXsUcuGR0dpb29vSw8Xrt2LWfOnKG1tZVHjx5x5MgR
+ QqEQXq83b0BQ81nArj18+BCfz5f3PXPlzGshBOPj43R0dNDQ0GD1+/1+9u/f
+ j9/vp7m5mfr6emts+nlR2XzAjmLm+T7As2fPPupXVRWPx0NjYyMnT2b+10sm
+ k6iqmvHjY16lhN3uCGDdunXcu3ePLVu2ZPQ/efIEgDVr1mSMN/vtdmA3btzg
+ 6tWr3Lx5kwMHDrB582b8fr91BFm0D+ST3bt3E4lEyuIDk5OTBINBhoaGqKmp
+ YWhoiOPHj/P06VNr9e1CupqvmLNrhw8fJh6P09LSwq1bt4jH46RSKV69esX1
+ 69c/opndPLOzsxw9epTu7m58Ph8AGzZsIBgM0tbWhqZpOTO6LYVWrFiRs5aR
+ UnLlyhXOnz/PqVOnmJiYQNd1PB4P27dvJxqNUllZmfVYJp3XnZ2d1NXVsXfv
+ 3gya7Nu3jzt37nDixAkGBwdtT6izxcqN4+Pj9zVN4+3bt1IIYU1smtFMLOn9
+ 6T+xTW5ns0Chz8x+RVGU2dlZpaurKzI1NfUdMJ0PQCXwFfAlUL5qrHRRgRng
+ d+BPIJUPAIAL+CTH8/9bBJDItqD/AQpLZEQ2F//nAAAAAElFTkSuQmCC

## gps-data-logger 0.3-0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 gps-data-logger-widget.so: %.so: %.c settings.c
 	$(CC) -Wall `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
-	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation` `pkg-config --libs libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation` settings.o -o $@ $<
+	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation libosso` settings.o -o $@ $<
 	    
 # This rule uses GNU make implicit rules, so
 # examples can be built eg make example_hildonprogram

=== debian/changelog ===
gps-data-logger (0.3-0) unstable; urgency=low

  * try to stop recording and save the log in case of a system shutdown event

 -- Marcell Lengyel <marcell@maemo.org>  Wed, 13 Jan 2010 21:10:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: Marcell Lengyel <marcell@maemo.org>
-Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev
 Standards-Version: 3.7.2
 
 Package: gps-data-logger

## gps-data-logger 0.3-1

=== debian/changelog ===
gps-data-logger (0.3-1) unstable; urgency=low

  * dump altitude tag before time in GPX to make mapsource happy

 -- Marcell Lengyel <marcell@maemo.org>  Mon, 08 Mar 2010 10:22:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gps-data-logger
-Section: user/desktop
+Section: user/navigation
 Priority: extra
 Maintainer: Marcell Lengyel <marcell@maemo.org>
 Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev
 Standards-Version: 3.7.2
+XSBC-Bugtracker: mailto:marcell@maemo.org
 
 Package: gps-data-logger
 Architecture: any

## gps-data-logger 0.3-2

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 gps-data-logger-widget.so: %.so: %.c settings.c
 	$(CC) -Wall `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
-	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 glib-2.0 dbus-1 dbus-glib-1 liblocation libosso` settings.o -o $@ $<
-	    
+	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 liblocation libosso` settings.o -o $@ $<
+
 # This rule uses GNU make implicit rules, so
 # examples can be built eg make example_hildonprogram
 # http://www.gnu.org/software/make/manual/make.html#Implicit-Rules

=== debian/changelog ===
gps-data-logger (0.3-2) unstable; urgency=low

  * Enable 60s and 120s logging intervals
  * Added maemo-display-name 

 -- Marcell Lengyel <marcell@maemo.org>  Fri, 02 Apr 2010 10:22:00 +0300

## gps-data-logger 0.4-0

=== Makefile ===
DESTDIR=/
CC=gcc

ICON_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=prefix`/share/icons/hicolor
HOME_LIB_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`
HOME_DESKTOP_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir`
RECURSIVE_TARGETS = all-recursive \
        install-recursive
SUBDIRS = po

all: all-recursive gps-data-logger-widget.so

install: install-recursive
	mkdir -p $(HOME_LIB_DIR)
	mkdir -p $(HOME_DESKTOP_DIR)
	cp gps-data-logger-widget.so $(HOME_LIB_DIR)
	cp gps-data-logger-widget.desktop $(HOME_DESKTOP_DIR)

gps-data-logger-widget.so: %.so: %.c settings.c
	$(CC) -Wall `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 liblocation libosso`-DGETTEXT_PACKAGE=\"gps-data-logger-widget\" settings.o -o $@ $<


$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	test -z "$$fail"


# This rule uses GNU make implicit rules, so
# examples can be built eg make example_hildonprogram
# http://www.gnu.org/software/make/manual/make.html#Implicit-Rules
#$(EXAMPLES): %: %.c

clean:
	-rm -f *.o *.so po/*.mo

=== po/Makefile ===
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

.SUFFIXES: .po .mo

all: $(MOFILES)

.po.mo:
	msgfmt -o $@ $<
		
install:
	@set fnord $$MAKEFLAGS; \
	list='$(MOFILES)'; for mofile in $$list; do \
	     subdir=`echo $$mofile | sed -e 's/\.mo$$//'`; \
	     echo " Installing $$mofile to $(DESTDIR)/usr/share/locale/$$subdir/LC_MESSAGES"; \
	     mkdir -p $(DESTDIR)/usr/share/locale/$$subdir/LC_MESSAGES && \
	     cp -f $$mofile $(DESTDIR)/usr/share/locale/$$subdir/LC_MESSAGES/gps-data-logger-widget.mo ; \
	done

# This rule uses GNU make implicit rules, so
# examples can be built eg make example_hildonprogram
# http://www.gnu.org/software/make/manual/make.html#Implicit-Rules
#$(EXAMPLES): %: %.c

clean:
	-rm -f *.mo

=== debian/changelog ===
gps-data-logger (0.4-0) unstable; urgency=low

  * Added localization support

 -- Marcell Lengyel <marcell@maemo.org>  Wed, 14 Apr 2010 22:15:00 +0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:marcell@maemo.org
+XB-Maemo-Display-Name: GPS Track Logger Widget
 
 Package: gps-data-logger
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/gps-data-logger.sgml > gps-data-logger.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gps-data-logger.
	$(MAKE) DESTDIR=$(CURDIR)/debian/gps-data-logger install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gps-data-logger 0.5-0

=== debian/changelog ===
gps-data-logger (0.5-0) unstable; urgency=low

  * auto pause if the speed drops below a limit for a predefined amount of
    time

 -- Marcell Lengyel <marcell@maemo.org>  Wed, 12 May 2010 13:31:00 +0300

gps-data-logger (0.4-1) unstable; urgency=low

  * On stop, tell where was the logfile saved

 -- Marcell Lengyel <marcell@maemo.org>  Mon, 26 Apr 2010 21:11:00 +0300

## gps-data-logger 0.5-1

=== po/Makefile ===
--- 
+++ 
@@ -1,11 +1,16 @@
+top_srcdir="../"
+
 POFILES=$(wildcard *.po)
 MOFILES=$(POFILES:.po=.mo)
 
 .SUFFIXES: .po .mo
 
 all: $(MOFILES)
+	# update the temaple
+	intltool-update -p
 
 .po.mo:
+	intltool-update $*
 	msgfmt -o $@ $<
 		
 install:
@@ -17,6 +22,7 @@
 	     cp -f $$mofile $(DESTDIR)/usr/share/locale/$$subdir/LC_MESSAGES/gps-data-logger-widget.mo ; \
 	done
 
+
 # This rule uses GNU make implicit rules, so
 # examples can be built eg make example_hildonprogram
 # http://www.gnu.org/software/make/manual/make.html#Implicit-Rules

=== debian/changelog ===
gps-data-logger (0.5-1) unstable; urgency=low

  * localization improvements

 -- Marcell Lengyel <marcell@maemo.org>  Wed, 12 May 2010 13:31:00 +0300

## gps-data-logger 0.5-2

=== debian/changelog ===
gps-data-logger (0.5-2) unstable; urgency=low

  * localize the desktop file too

 -- Marcell Lengyel <marcell@maemo.org>  Tue,  1 Jun 2010 16:49:00 +0300

## gps-data-logger 0.5-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 HOME_LIB_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`
 HOME_DESKTOP_DIR=$(DESTDIR)`pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir`
 RECURSIVE_TARGETS = all-recursive \
-        install-recursive
+        install-recursive \
+	clean-recursive
 SUBDIRS = po
 
 all: all-recursive gps-data-logger-widget.so
@@ -37,7 +38,7 @@
 # http://www.gnu.org/software/make/manual/make.html#Implicit-Rules
 #$(EXAMPLES): %: %.c
 
-clean:
-	-rm -f *.o *.so po/*.mo
+clean: clean-recursive
+	-rm -f *.o *.so

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-top_srcdir="../"
+top_srcdir=..
 
 POFILES=$(wildcard *.po)
 MOFILES=$(POFILES:.po=.mo)

=== debian/changelog ===
gps-data-logger (0.5-3) unstable; urgency=low

  * change the status icon if the GPS fix is lost

 -- Marcell Lengyel <marcell@maemo.org>  Fri,  4 Jun 2010 15:03:00 +0300

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,33 @@
 Maintainer: Marcell Lengyel <marcell@maemo.org>
 Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev
 Standards-Version: 3.7.2
+
+Package: gps-data-logger
+Section: user/navigation
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XSBC-Bugtracker: mailto:marcell@maemo.org
 XB-Maemo-Display-Name: GPS Track Logger Widget
-
-Package: gps-data-logger
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Maemo-Display-Name-pl_PL: Widżet zapisujący ścieżki GPS
+XB-Maemo-Display-Name-hu_HU: GPS nyomvonal rögzítő widget
 Description: A GPS tracklog saver desktop widget
  A widget for the hildon desktop that can be used to
  collect and save a GPS tracklog to a file for later
  use (eg. photo geotagging, visualizing a trip on a 
  map, etc)
+XB-Description-pl_PL: Widżet do zapisywania ścieżek GPS
+ Widżet dla pulpitu Hildon, który może być używany do
+ gromadzenia i zapisywania ścieżek GPS do pliku do 
+ późniejszego użytku (geotagowania zdjęć, wizualizacji
+ przebytych tras na mapie, itp.)
+XB-Description-hu_HU: GPS nyomvonal rögzítő widget
+ Ezzel az asztalra kitehető kisalkalmazással bármikor el
+ lehet indítani a GPS nyomvonal rögzítést amit aztán később
+ fel lehet használni például digitális fényképekhez
+ koordináták hozzáadására (geotagging)  vagy egy megfelelő
+ térkép programmal grafikusan is meg lehet nézni, hogy
+ merre jártunk és további információkat tudhatunk meg
+ a teles megtett útról, átlagsebességről, stb.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAACR0RVh0Q29tbWVudABpY29uIGJ5

## gps-data-logger 0.6-0

=== debian/changelog ===
gps-data-logger (0.6-0) unstable; urgency=low

  * show the distance

 -- Marcell Lengyel <marcell@maemo.org>  Mon, 21 Feb 2011 15:03:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,16 @@
 
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
+endif
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g -DDEBUG=1
 endif
 
 configure: configure-stamp
@@ -34,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	#docbook-to-man debian/gps-data-logger.sgml > gps-data-logger.1
 
 	touch $@

## gps-data-logger 0.6-2

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,10 @@
 	cp gps-data-logger-widget.desktop $(HOME_DESKTOP_DIR)
 
 gps-data-logger-widget.so: %.so: %.c settings.c
-	$(CC) -Wall `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
-	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 liblocation libosso`-DGETTEXT_PACKAGE=\"gps-data-logger-widget\" settings.o -o $@ $<
+	$(CC) $(CFLAGS) `pkg-config --cflags glib-2.0 gconf-2.0` `pkg-config --libs glib-2.0 gconf-2.0` -c settings.c -o settings.o
+	$(CC) $(CFLAGS) `pkg-config --cflags libhildondesktop-1` `pkg-config --libs libhildondesktop-1` -DGETTEXT_PACKAGE=\"gps-data-logger-widget\" -c settings-dialog.c -o settings-dialog.o
+	$(CC) $(CFLAGS) `pkg-config --cflags libhildondesktop-1` `pkg-config --libs libhildondesktop-1` -DGETTEXT_PACKAGE=\"gps-data-logger-widget\" -c gps-data-logger-gfx.c -o gps-data-logger-gfx.o
+	$(CC) -shared  $(CFLAGS) `pkg-config --cflags libhildondesktop-1 liblocation libosso` `pkg-config --libs libhildondesktop-1 liblocation libosso` -DGETTEXT_PACKAGE=\"gps-data-logger-widget\" settings.o settings-dialog.o gps-data-logger-gfx.o -o $@ $<
 
 
 $(RECURSIVE_TARGETS):

=== debian/changelog ===
gps-data-logger (0.6-2) unstable; urgency=low

  * fixed the translation files

 -- Marcell Lengyel <marcell@maemo.org>  Sun, 15 May 2011 19:18:00 +0300

gps-data-logger (0.6-1) unstable; urgency=low

  * new gconf key for saving the filtered log used in distance
    calculation

 -- Marcell Lengyel <marcell@maemo.org>  Sun, 15 May 2011 19:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Marcell Lengyel <marcell@maemo.org>
-Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev
+Build-Depends: debhelper (>= 5), liblocation-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libdbus-glib-1-dev, libgconf2-dev, libosso-dev, gettext, mce-dev
 Standards-Version: 3.7.2
 
 Package: gps-data-logger
@@ -31,6 +31,9 @@
  térkép programmal grafikusan is meg lehet nézni, hogy
  merre jártunk és további információkat tudhatunk meg
  a teles megtett útról, átlagsebességről, stb.
+XB-Maemo-Upgrade-Description: Show the distance
+ An extra line was added to the widget, where the filtered
+ distance is displayed.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAACR0RVh0Q29tbWVudABpY29uIGJ5
